DeepCodes
DeepCodes
  • 209
  • 178 983
688. Knight Probability in Chessboard | DP | C++ | LeetCode Daily Challenge
leetcode.com/problems/knight-probability-in-chessboard/description/
0:00​ - Question Understanding
7:00 - Recursion
8:55 - Memoization Dry Run
#coding #dsa #leetcode #daily #programming #cpp #tutorial
zhlédnutí: 1 229

Video

1751. Maximum Number of Events That Can Be Attended II
zhlédnutí 1,1KPřed rokem
leetcode.com/problems/maximum-number-of-events-that-can-be-attended-ii/description/ 0:00​ - Question Understanding 5:00 - Intuition 8:15 - Code #coding #dsa #leetcode #daily #programming #cpp #tutorial
802. Find Eventual Safe States
zhlédnutí 540Před rokem
leetcode.com/problems/find-eventual-safe-states/description/ 0:00​ - Question Understanding 4:50 - Approach 1 14:45 - Approach 2 #coding #dsa #leetcode #daily #programming #cpp #tutorial
863. All Nodes Distance K in Binary Tree | Trees
zhlédnutí 585Před rokem
leetcode.com/problems/all-nodes-distance-k-in-binary-tree/description/ 0:00​ - Question Understanding 2:10 - Approach 1 7:20 - Approach 2 #coding #dsa #leetcode #daily #programming #cpp #tutorial
2024. Maximize the Confusion of an Exam
zhlédnutí 748Před rokem
leetcode.com/problems/maximize-the-confusion-of-an-exam/description/ #coding #dsa #leetcode #daily #programming #cpp #tutorial
137. Single Number II | Bit Manipulation
zhlédnutí 2,2KPřed rokem
leetcode.com/problems/single-number-ii/description/ 0:00​ - Question Understanding 1:50 - Approach 6:25 - Code #coding #dsa #leetcode #daily #programming #cpp #tutorial
1601. Maximum Number of Achievable Transfer Requests | Bit Manipulation
zhlédnutí 1,4KPřed rokem
leetcode.com/problems/maximum-number-of-achievable-transfer-requests/ 0:00​ - Question Understanding 5:50 - Approach 1 13:15 - Approach 2 #coding #dsa #leetcode #daily #programming #cpp #tutorial
864. Shortest Path to Get All Keys | LeetCode Daily Challenge
zhlédnutí 2,2KPřed rokem
leetcode.com/problems/shortest-path-to-get-all-keys/description/ 0:00​ - Question Understanding 3:10 - Approach 1 (Incorrect) 6:40 - Bit Manipulation 12:40 - Approach 2 #coding #dsa #leetcode #daily #programming #cpp #tutorial
1514. Path with Maximum Probability | Dijktras | LeetCode Daily Challenge
zhlédnutí 1,4KPřed rokem
leetcode.com/problems/path-with-maximum-probability/ 0:00​ - Question Understanding 2:00 - Approach 4:00 - Dry Run 10:00 - Code #coding #dsa #leetcode #daily #programming #cpp #tutorial
373. Find K Pairs with Smallest Sums | Min-Heap | LeetCode Daily Challenge
zhlédnutí 4KPřed rokem
leetcode.com/problems/find-k-pairs-with-smallest-sums/description/ 0:00​ - Question Understanding 3:00 - Brute Force Approach 0 5:00 - Approach 1 14:20 - Approach 2 #coding #dsa #leetcode #daily #programming #cpp #tutorial
2462. Total Cost to Hire K Workers | Min-Heap | Two Pointers | LeetCode Daily Challenge
zhlédnutí 1,6KPřed rokem
leetcode.com/problems/total-cost-to-hire-k-workers/description/ 0:00​ - Question Understanding 7:00 - Brute Force Approach 10:30 - Optimising & Dry Run 18:00 - Coding #coding #dsa #leetcode #daily #programming #cpp #tutorial
1575. Count All Possible Routes | DP | LeetCode Daily Challenge
zhlédnutí 818Před rokem
leetcode.com/problems/count-all-possible-routes/description/ 0:00​ - Question Understanding 6:05 - Approach 1 14:00 - Approach 2 #coding #dsa #leetcode #daily #programming #cpp #tutorial
956. Tallest Billboard | LeetCode Daily Challenge
zhlédnutí 2,2KPřed rokem
leetcode.com/problems/tallest-billboard/ #coding #dsa #leetcode #daily #programming #cpp #tutorial
2448. Minimum Cost to Make Array Equal | Binary Search | Median | LeetCode Daily Challenge
zhlédnutí 1,4KPřed rokem
leetcode.com/problems/minimum-cost-to-make-array-equal/description/ 0:00​ - Question Understanding 4:30 - Brute Force 7:00 - Observations 9:50 - Approach 2 15:10 - Approach 3 #coding #dsa #leetcode #daily #programming #cpp #tutorial
2090. K Radius Subarray Averages | Sliding Window | LeetCode Daily Challenge
zhlédnutí 1,1KPřed rokem
leetcode.com/problems/k-radius-subarray-averages/description/ 0:00​ - Question Understanding 5:10 - Observations 7:50 - Approach 1 14:45 - Approach 2 #coding #dsa #leetcode #daily #programming #cpp #tutorial
2328. Number of Increasing Paths in a Grid | Recursion | LeetCode Daily Challenge
zhlédnutí 1,1KPřed rokem
2328. Number of Increasing Paths in a Grid | Recursion | LeetCode Daily Challenge
1187. Make Array Strictly Increasing | Recursion | LeetCode Daily Challenge
zhlédnutí 2,2KPřed rokem
1187. Make Array Strictly Increasing | Recursion | LeetCode Daily Challenge
1569. Number of Ways to Reorder Array to Get Same BST | Recursion | DFS | LeetCode Daily Challenge
zhlédnutí 3KPřed rokem
1569. Number of Ways to Reorder Array to Get Same BST | Recursion | DFS | LeetCode Daily Challenge
1161. Maximum Level Sum of a Binary Tree | BFS + DFS | LeetCode Daily Challenge
zhlédnutí 635Před rokem
1161. Maximum Level Sum of a Binary Tree | BFS DFS | LeetCode Daily Challenge
530. Minimum Absolute Difference in BST | Inorder Traversal | BFS | LeetCode Daily Challenge
zhlédnutí 1,9KPřed rokem
530. Minimum Absolute Difference in BST | Inorder Traversal | BFS | LeetCode Daily Challenge
2101. Detonate the Maximum Bombs | Recursion | BFS | LeetCode Daily Challenge
zhlédnutí 772Před rokem
2101. Detonate the Maximum Bombs | Recursion | BFS | LeetCode Daily Challenge
1547. Minimum Cost to Cut a Stick | DP | LeetCode Daily Challenge
zhlédnutí 918Před rokem
1547. Minimum Cost to Cut a Stick | DP | LeetCode Daily Challenge
1140. Stone Game II | DP | LeetCode Daily Challenge
zhlédnutí 4,1KPřed rokem
1140. Stone Game II | DP | LeetCode Daily Challenge
837. New 21 Game | Probability + DP | LeetCode Daily Challenge
zhlédnutí 2,4KPřed rokem
837. New 21 Game | Probability DP | LeetCode Daily Challenge
2542. Maximum Subsequence Score | LeetCode Daily Challenge
zhlédnutí 1,9KPřed rokem
2542. Maximum Subsequence Score | LeetCode Daily Challenge
347. Top K Frequent Elements | LeetCode Daily Challenge
zhlédnutí 485Před rokem
347. Top K Frequent Elements | LeetCode Daily Challenge
934. Shortest Bridge | Graphs | LeetCode Daily Challenge
zhlédnutí 1,3KPřed rokem
934. Shortest Bridge | Graphs | LeetCode Daily Challenge
399. Evaluate Division | GRAPHS | | LeetCode Daily Challenge POTD
zhlédnutí 1,4KPřed rokem
399. Evaluate Division | GRAPHS | | LeetCode Daily Challenge POTD
785. Is Graph Bipartite? | GRAPHS | | LeetCode Daily Challenge POTD
zhlédnutí 494Před rokem
785. Is Graph Bipartite? | GRAPHS | | LeetCode Daily Challenge POTD
2130. Maximum Twin Sum of a Linked List | In-Place | LeetCode Daily Challenge POTD | LinkedList
zhlédnutí 481Před rokem
2130. Maximum Twin Sum of a Linked List | In-Place | LeetCode Daily Challenge POTD | LinkedList

Komentáře

  • @anukulsahu
    @anukulsahu Před 19 dny

    optimal ka matlab kuch v samjha dete ho, alluwa understanding video h

  • @madhu_mohanreddy
    @madhu_mohanreddy Před 28 dny

    thanks bro

  • @schan263
    @schan263 Před měsícem

    I am glad that I discovered your channel today. Your explanation is so much better than the leetcode editorial. Your video is very concise. I hit the "Subscribe" button.

  • @schan263
    @schan263 Před měsícem

    I discovered your channel today and this is the second video I watched. Thank you for making this awesome video. I only solved it with O(n) space complexity in the past. Now I know the O(1) space complexity solution.

  • @VoltVipin_VS
    @VoltVipin_VS Před měsícem

    For those who didn't understand the intuition behind this solution. Imagine 2 supports s1 and s2. s1 starts from 0 and s2 starts from sum of array. Now each rod will have 3 choice 1. Add to S1 2. Add to S2 3. Remove from S2. Notice the third choice is removing from s2 not adding into Null Set. So comparing with the solution provided in the video. op1 is Choice 1 op2 is Choice 3 op3 is Choice 2, as rod is already added into s2 thats why no change. In recursive solution op3 is Choice of adding rod into a null set. which is different in memoized answer.

  • @relaxingnaturalvibrations1171

    How it will pass all the test cases ?. It will give tle for sure. You are traversing some tree in every dfs call and you are saying it is o(n)?

  • @TejasviPatoliya-rm7qv
    @TejasviPatoliya-rm7qv Před 2 měsíci

    hello 10:48 video me aapne run kiya vo kese kiya?

  • @shreyansharya6125
    @shreyansharya6125 Před 2 měsíci

    Nice Explanation !

  • @atharvasuryawanshi7675
    @atharvasuryawanshi7675 Před 2 měsíci

    I think question is fairly simple, language is also easy to understand

  • @vinamrasangal8436
    @vinamrasangal8436 Před 2 měsíci

    GIVING TLE

  • @luis_escobar..
    @luis_escobar.. Před 3 měsíci

    Sometime it cant able to solve palindrome questions

  • @lakshsinghania
    @lakshsinghania Před 3 měsíci

    @15:59 how can the min heap have <7,2> it should be <1,9> right ? we first popped <1,2> and then inserted {i,j+1} thats <1,9> and its lesser than <7,2> someone pls make me understand

  • @shahainmanujith2109
    @shahainmanujith2109 Před 3 měsíci

    Very good explanation :)

  • @Soundar-su5ju
    @Soundar-su5ju Před 3 měsíci

    Nice explanation

  • @codelasagna875
    @codelasagna875 Před 4 měsíci

    How to install axioms?

  • @starboy-lc9mp
    @starboy-lc9mp Před 4 měsíci

    great explanatiob bro

  • @anandoganiya9070
    @anandoganiya9070 Před 5 měsíci

    Bro can you provide the brute force solution for this in java if possible or c++ will be fine

  • @ZohaibKhan-vj3tg
    @ZohaibKhan-vj3tg Před 5 měsíci

    good explanation

  • @user-rv1bx8hx4v
    @user-rv1bx8hx4v Před 5 měsíci

    Thank you! Great explanation

  • @trilochankankatala1687
    @trilochankankatala1687 Před 5 měsíci

    I didn’t find anywhere this way solution. Thank you so much

  • @vikassinghbisht7305
    @vikassinghbisht7305 Před 5 měsíci

    this is O(nlogn) solution but we can do this with o(n) time complexity

  • @rrr9848
    @rrr9848 Před 5 měsíci

    Thank you sir 🎉

  • @iamnoob7593
    @iamnoob7593 Před 5 měsíci

    Brilliant explanation

  • @user-hr9eg6is4q
    @user-hr9eg6is4q Před 5 měsíci

    Hello can you create a video on how to connect the node application with

  • @apputadhiyal9451
    @apputadhiyal9451 Před 6 měsíci

    Thanks for the video , nicely explained.

  • @Believeharsh
    @Believeharsh Před 6 měsíci

    I really appreciate the hard work you have put into this video. Thanks for making this video.

    • @codelasagna875
      @codelasagna875 Před 4 měsíci

      How to create the link for api, like he used london and generated the API key

  • @cricketsureshlucky
    @cricketsureshlucky Před 6 měsíci

    it really helped a lot thankyou😊😊

  • @sarvagyasingh924
    @sarvagyasingh924 Před 7 měsíci

    will this work on negative numbers ?

  • @pushpalatha16
    @pushpalatha16 Před 7 měsíci

    The explanation was easy to understand, thanks

  • @suneethasuresh9826
    @suneethasuresh9826 Před 7 měsíci

    while swapping, why do we take (2*min) ?

  • @saaishashankkrishnakumar345

    simple and neat solution bro

  • @rohanthakur9159
    @rohanthakur9159 Před 8 měsíci

    The explanation was really awesome. Thanks a lot❤❤❤

  • @Shiwangi-singh
    @Shiwangi-singh Před 8 měsíci

    volume is very low

  • @vasumahalingam5162
    @vasumahalingam5162 Před 8 měsíci

    Liked the solution. I made a small improvement with memoization. class Solution: def __init__(self): self.memo = {} def minOperations(self, n: int) -> int: if n in self.memo: return self.memo[n] v = int(math.log(n, 2)) if n == pow(2, v): return 1 low = pow(2, v) high = pow(2, v+1) d1 = n - low d2 = high - n self.memo[n] = 1 + min(self.minOperations(d1) , self.minOperations(d2)) return self.memo[n]

  • @pixelsbyme
    @pixelsbyme Před 8 měsíci

    hy your approach is very efficient. But I did not understood the intuition of summing up ALL elements of a diagonal rather than only 2 for each corresponding element of a matrix. Like in the intuition, you explained if both (right and bottom element) sum is greater than 1, then there surely exists a path to dest even after flipping. But whats the logic with summing up ALL diagonal elements?

  • @user-le6ts6ci7h
    @user-le6ts6ci7h Před 8 měsíci

    The apprpach 1 won't work, it depends on the order in which you remove the edge

  • @cse100amisha6
    @cse100amisha6 Před 8 měsíci

    Bhaiya can you please suggest me some platform where i can practice question asked in OA

  • @VishalYadav-gk1kg
    @VishalYadav-gk1kg Před 9 měsíci

    Thank you sir, Very nice explanation!

  • @md.marufurrahmanremon3095
    @md.marufurrahmanremon3095 Před 9 měsíci

    Could you please explain why you took ans as long?

  • @user-me6zq8wy9i
    @user-me6zq8wy9i Před 10 měsíci

    best explanation thanks ! : )

  • @princekhunt13579
    @princekhunt13579 Před 10 měsíci

    Nice explanation

  • @HimanshuDagar-kr7ct
    @HimanshuDagar-kr7ct Před 10 měsíci

    What a technique! Just Awesome!

  • @PedroFerreira-kz6mq
    @PedroFerreira-kz6mq Před 10 měsíci

    So good solution my friend

  • @schrodingerskatt222
    @schrodingerskatt222 Před 11 měsíci

    I really didn't understood anything

  • @prajitbanerjee8226
    @prajitbanerjee8226 Před 11 měsíci

    nice bro!!

  • @zeyadalbadawy2245
    @zeyadalbadawy2245 Před rokem

    bro, I'm so happy with this explaination

  • @zeyadalbadawy2245
    @zeyadalbadawy2245 Před rokem

    the best explaination i have ever seen

  • @peter9759
    @peter9759 Před rokem

    Good Explanation Bro everything connects

  • @rohanchoudhary5523
    @rohanchoudhary5523 Před rokem

    NIce explanation

  • @neaguandrei1
    @neaguandrei1 Před rokem

    The second if() inside check() should be a XOR not a OR.